You need to require 'open-uri' first, then it will work. But
personally I never liked this style.

-- Matma Rex